import { Vue } from "vue-property-decorator";
import { MessageThread } from "../../types/MessageThread";
import MessageModule from "../../modules/MessageModule";
import { ThreadSubject } from "../../types/ThreadSubject";
export default class ThreadHeader extends Vue {
    thread: MessageThread;
    messageModule: MessageModule;
    orderName: string | null;
    get subjects(): ThreadSubject[];
    changeSubject(subject: ThreadSubject): void;
    changeOrder(orderName: string): void;
    created(): void;
    showManagers(): boolean;
}
